#loader {
	align-items: center;
	display: flex;
	height: 100%;
	justify-content: center;
	position: fixed;
	transition: opacity 0.2s linear;
	width: 100%;
}

.typewriter {
	--blue: #5C86FF;
	--blue-dark: #275EFE;
	--duration: 3s;
	--key: #fff;
	--paper: #EEF0FD;
	--text: #D3D4EC;
	--tool: #FBC56C;
	-webkit-animation: bounce05 var(--duration) linear infinite;
	animation: bounce05 var(--duration) linear infinite;
	position: relative;
}

.typewriter .slide {
	-webkit-animation: slide05 var(--duration) ease infinite;
	animation: slide05 var(--duration) ease infinite;
	background: linear-gradient(var(--blue), var(--blue-dark));
	border-radius: 3px;
	height: 20px;
	margin-left: 14px;
	transform: translateX(14px);
	width: 92px;
}

.typewriter .slide:before, .typewriter .slide:after, .typewriter .slide i:before {
	background: var(--tool);
	content: "";
	position: absolute;
}

.typewriter .slide:before {
	height: 8px;
	left: 100%;
	top: 6px;
	width: 2px;
}

.typewriter .slide:after {
	border-radius: 3px;
	height: 14px;
	left: 94px;
	top: 3px;
	width: 6px;
}

.typewriter .slide i {
	background: var(--tool);
	display: block;
	height: 4px;
	position: absolute;
	right: 100%;
	top: 4px;
	width: 6px;
}

.typewriter .slide i:before {
	border-radius: 2px;
	height: 14px;
	right: 100%;
	top: -2px;
	width: 4px;
}

.typewriter .paper {
	-webkit-animation: paper05 var(--duration) linear infinite;
	animation: paper05 var(--duration) linear infinite;
	background: var(--paper);
	border-radius: 5px;
	position: absolute;
	height: 46px;
	left: 24px;
	top: -26px;
	transform: translateY(46px);
	width: 40px;
}

.typewriter .paper:before {
	background: var(--text);
	border-radius: 2px;
	box-shadow: 0 12px 0 var(--text), 0 24px 0 var(--text), 0 36px 0 var(--text);
	content: "";
	height: 4px;
	left: 6px;
	position: absolute;
	right: 6px;
	top: 7px;
	transform: scaleY(0.8);
}

.typewriter .keyboard {
	height: 56px;
	margin-top: -10px;
	position: relative;
	width: 120px;
	z-index: 1;
}

.typewriter .keyboard:before, .typewriter .keyboard:after {
content: "";
position: absolute;
}

.typewriter .keyboard:before {
	background: linear-gradient(135deg, var(--blue), var(--blue-dark));
	border-radius: 7px;
	bottom: 0;
	left: 0;
	right: 0;
	top: 0;
	transform: perspective(10px) rotateX(2deg);
	transform-origin: 50% 100%;
}

.typewriter .keyboard:after {
	-webkit-animation: keyboard05 var(--duration) linear infinite;
	animation: keyboard05 var(--duration) linear infinite;
	border-radius: 2px;
	box-shadow: 15px 0 0 var(--key), 30px 0 0 var(--key), 45px 0 0 var(--key), 60px 0 0 var(--key), 75px 0 0 var(--key), 90px 0 0 var(--key), 22px 10px 0 var(--key), 37px 10px 0 var(--key), 52px 10px 0 var(--key), 60px 10px 0 var(--key), 68px 10px 0 var(--key), 83px 10px 0 var(--key);
	height: 4px;
	left: 2px;
	top: 25px;
	width: 11px;
}

@keyframes bounce05 {
	85%, 92%, 100% {
		transform: translateY(0);
	}

	89% {
		transform: translateY(-4px);
	}

	95% {
		transform: translateY(2px);
	}
}

@keyframes slide05 {
	5% {
		transform: translateX(14px);
	}

	15%, 30% {
		transform: translateX(6px);
	}

	40%, 55% {
		transform: translateX(0);
	}

	65%, 70% {
		transform: translateX(-4px);
	}

	80%, 89% {
		transform: translateX(-12px);
	}

	100% {
		transform: translateX(14px);
	}
}

@keyframes paper05 {
	5% {
		transform: translateY(46px);
	}

	20%, 30% {
		transform: translateY(34px);
	}

	40%, 55% {
		transform: translateY(22px);
	}

	65%, 70% {
		transform: translateY(10px);
	}

	80%, 85% {
		transform: translateY(0);
	}

	92%, 100% {
		transform: translateY(46px);
	}
}

@keyframes keyboard05 {
	5%, 12%, 21%, 30%, 39%, 48%, 57%, 66%, 75%, 84% {
		box-shadow: 15px 0 0 var(--key), 30px 0 0 var(--key), 45px 0 0 var(--key), 60px 0 0 var(--key), 75px 0 0 var(--key), 90px 0 0 var(--key), 22px 10px 0 var(--key), 37px 10px 0 var(--key), 52px 10px 0 var(--key), 60px 10px 0 var(--key), 68px 10px 0 var(--key), 83px 10px 0 var(--key);
	}

	9% {
		box-shadow: 15px 2px 0 var(--key), 30px 0 0 var(--key), 45px 0 0 var(--key), 60px 0 0 var(--key), 75px 0 0 var(--key), 90px 0 0 var(--key), 22px 10px 0 var(--key), 37px 10px 0 var(--key), 52px 10px 0 var(--key), 60px 10px 0 var(--key), 68px 10px 0 var(--key), 83px 10px 0 var(--key);
	}

	18% {
		box-shadow: 15px 0 0 var(--key), 30px 0 0 var(--key), 45px 0 0 var(--key), 60px 2px 0 var(--key), 75px 0 0 var(--key), 90px 0 0 var(--key), 22px 10px 0 var(--key), 37px 10px 0 var(--key), 52px 10px 0 var(--key), 60px 10px 0 var(--key), 68px 10px 0 var(--key), 83px 10px 0 var(--key);
	}

	27% {
		box-shadow: 15px 0 0 var(--key), 30px 0 0 var(--key), 45px 0 0 var(--key), 60px 0 0 var(--key), 75px 0 0 var(--key), 90px 0 0 var(--key), 22px 12px 0 var(--key), 37px 10px 0 var(--key), 52px 10px 0 var(--key), 60px 10px 0 var(--key), 68px 10px 0 var(--key), 83px 10px 0 var(--key);
	}

	36% {
		box-shadow: 15px 0 0 var(--key), 30px 0 0 var(--key), 45px 0 0 var(--key), 60px 0 0 var(--key), 75px 0 0 var(--key), 90px 0 0 var(--key), 22px 10px 0 var(--key), 37px 10px 0 var(--key), 52px 12px 0 var(--key), 60px 12px 0 var(--key), 68px 12px 0 var(--key), 83px 10px 0 var(--key);
	}

	45% {
		box-shadow: 15px 0 0 var(--key), 30px 0 0 var(--key), 45px 0 0 var(--key), 60px 0 0 var(--key), 75px 0 0 var(--key), 90px 2px 0 var(--key), 22px 10px 0 var(--key), 37px 10px 0 var(--key), 52px 10px 0 var(--key), 60px 10px 0 var(--key), 68px 10px 0 var(--key), 83px 10px 0 var(--key);
	}

	54% {
		box-shadow: 15px 0 0 var(--key), 30px 2px 0 var(--key), 45px 0 0 var(--key), 60px 0 0 var(--key), 75px 0 0 var(--key), 90px 0 0 var(--key), 22px 10px 0 var(--key), 37px 10px 0 var(--key), 52px 10px 0 var(--key), 60px 10px 0 var(--key), 68px 10px 0 var(--key), 83px 10px 0 var(--key);
	}

	63% {
		box-shadow: 15px 0 0 var(--key), 30px 0 0 var(--key), 45px 0 0 var(--key), 60px 0 0 var(--key), 75px 0 0 var(--key), 90px 0 0 var(--key), 22px 10px 0 var(--key), 37px 10px 0 var(--key), 52px 10px 0 var(--key), 60px 10px 0 var(--key), 68px 10px 0 var(--key), 83px 12px 0 var(--key);
	}

	72% {
		box-shadow: 15px 0 0 var(--key), 30px 0 0 var(--key), 45px 2px 0 var(--key), 60px 0 0 var(--key), 75px 0 0 var(--key), 90px 0 0 var(--key), 22px 10px 0 var(--key), 37px 10px 0 var(--key), 52px 10px 0 var(--key), 60px 10px 0 var(--key), 68px 10px 0 var(--key), 83px 10px 0 var(--key);
	}

	81% {
		box-shadow: 15px 0 0 var(--key), 30px 0 0 var(--key), 45px 0 0 var(--key), 60px 0 0 var(--key), 75px 0 0 var(--key), 90px 0 0 var(--key), 22px 10px 0 var(--key), 37px 12px 0 var(--key), 52px 10px 0 var(--key), 60px 10px 0 var(--key), 68px 10px 0 var(--key), 83px 10px 0 var(--key);
	}
}